Issue 2953

Title
'int' object has no attribute 'id'
Priority
bug
Status
resolved
Nosy list
Airidas, ced, gb
Assigned to
ced
Keywords

Created on 2013-01-16.11:24:16 by Airidas, last changed 94 months ago by ced.

Files

File name Uploaded Type Details
Bildschirmfoto vom 2013-01-19 15:57:59.png gb, 2013-01-19.15:59:22 image/png view

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-01-19.17:12:19
Fixed with rev 370c725d42fc
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-01-19.16:19:13
Report new issue in new issue.
Author: [hidden] (gb)
Date: 2013-01-19.15:59:22
new error. after update invoice.py the last error is gone, now comes a new one:

Error: <ProtocolError for server.....: 500 Internal Server Error>
none

Whats this??
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-01-17.18:02:58
You can read: http://wiki.creativecommons.org/HOWTO_Patch
Author: [hidden] (Airidas)
Date: 2013-01-17.16:51:41
How to implement this patch?
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-01-16.21:19:15
Please test patch at review639002
Author: [hidden] (Airidas)
Date: 2013-01-16.11:43:43
Company currency is LTL.
I enter supplier invoice in EUR.
Then I clicked on the button "Open" and I got an error message.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-01-16.11:25:45
Could you give a scenario to reproduce the issue?
Author: [hidden] (Airidas)
Date:
Traceback (most recent call last):
  File "neso", line 131, in __request
  File "trytond\trytond\protocols\dispatcher.pyc", line 154, in dispatch
  File "trytond\trytond\model\modelview.pyc", line 531, in wrapper
  File "trytond\trytond\model\workflow.pyc", line 33, in wrapper
  File "trytond\trytond\modules\account_invoice\invoice.pyc", line 1196, in open
  File "trytond\trytond\modules\account_invoice\invoice.pyc", line 831, in create_move
  File "trytond\trytond\modules\account_invoice\invoice.pyc", line 786, in _get_move_line
  File "trytond\trytond\modules\currency\currency.pyc", line 211, in compute
AttributeError: 'int' object has no attribute 'id'
History
Date User Action Args
2013-02-04 16:36:50cedlinkissue2990 superseder
2013-02-02 23:25:06cedlinkissue2986 superseder
2013-02-01 09:13:48cedlinkissue2982 superseder
2013-01-19 17:12:20cedsetstatus: testing -> resolved
messages: + msg12348
2013-01-19 16:19:13cedsetmessages: + msg12347
2013-01-19 15:59:23gbsetfiles: + Bildschirmfoto vom 2013-01-19 15:57:59.png
nosy: + gb
messages: + msg12346
2013-01-18 19:25:58cedlinkissue2957 superseder
2013-01-17 18:02:59cedsetmessages: + msg12326
2013-01-17 16:51:42Airidassetmessages: + msg12325
2013-01-16 21:19:16cedsetstatus: need-eg -> testing
assignedto: ced
component: + account_invoice
messages: + msg12321

Showing 10 items. Show all history (warning: this could be VERY long)